System.register(['angular2/core', 'angular2-spotify'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, angular2_spotify_1;
    var AppComponent;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (angular2_spotify_1_1) {
                angular2_spotify_1 = angular2_spotify_1_1;
            }],
        execute: function() {
            AppComponent = (function () {
                function AppComponent(spotifyService) {
                    this.spotifyService = spotifyService;
                    this.trackUri = "spotify:track:49p3JJ7QnwHGqJG0vImRRl";
                    this.trackUri2 = "spotify:track:7cnsxfgpaF1tuXQDkjRs0m";
                    this.trackUri3 = "spotify:track:5h5tBFnbcVioFXiOixTn6E";
                    this.trackUri4 = "spotify:track:7bre6yd84LZ6MFoTppmHja";
                    //change for one of your playlists
                    this.playlistId = "2TkWjGCu8jurholsfdWtG4";
                    this.getUser();
                }
                AppComponent.prototype.getUser = function () {
                    var _this = this;
                    this.spotifyService.getCurrentUser().subscribe(function (data) {
                        console.log(data);
                        _this.user = data;
                        _this.userId = data.id;
                        _this.doTests();
                    }, function (err) { console.log(err); });
                };
                AppComponent.prototype.login = function () {
                    var _this = this;
                    this.spotifyService.login().subscribe(function (token) {
                        console.log(token);
                        _this.getUser();
                    }, function (err) { return console.error(err); }, function () { });
                };
                AppComponent.prototype.doTests = function () {
                    this.albumsTests();
                    this.artistsTests();
                    this.browseTests();
                    this.followTests();
                    this.libraryTests();
                    this.playlistTests();
                    this.profilesTests();
                    this.searchTests();
                    this.trackTests();
                };
                AppComponent.prototype.albumsTests = function () {
                    this.spotifyService.getAlbum('0sNOF9WDwhWunNAHPD3Baj')
                        .subscribe(function (data) { console.log("getAlbum: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.getAlbums('41MnTivkwTO3UUJ8DrqEJJ,6JWc4iAiJ9FjyK0B59ABb4,6UXCm6bOO4gFlDQZV5yL37')
                        .subscribe(function (data) { console.log("getAlbums: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.getAlbumTracks('6akEvsycLGftJxYudPjmqK', { limit: 50, offset: 5 })
                        .subscribe(function (data) { console.log("getAlbumTracks: ", data); }, function (err) { return console.error(err); });
                };
                AppComponent.prototype.artistsTests = function () {
                    this.spotifyService.getArtist('0LcJLqbBmaGUft1e9Mm8HV')
                        .subscribe(function (data) { console.log("getArtist: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.getArtists('0oSGxfWSnnOXhD2fKuz2Gy,3dBVyJ7JuOMt4GE9607Qin')
                        .subscribe(function (data) { console.log("getArtist: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.getArtistAlbums('1vCWHaC5f2uS3yhpwWbIA6')
                        .subscribe(function (data) { console.log("getArtistAlbums: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.getArtistTopTracks('1vCWHaC5f2uS3yhpwWbIA6', 'AU')
                        .subscribe(function (data) { console.log("getArtistTopTracks: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.getRelatedArtists('1vCWHaC5f2uS3yhpwWbIA6')
                        .subscribe(function (data) { console.log("getRelatedArtists: ", data); }, function (err) { return console.error(err); });
                };
                AppComponent.prototype.browseTests = function () {
                    this.spotifyService.getFeaturedPlaylists({ locale: "nl_NL", country: "NL" })
                        .subscribe(function (data) { console.log("getFeaturedPlaylists: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.getNewReleases({ country: "NL" })
                        .subscribe(function (data) { console.log("getNewReleases: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.getCategories({ country: 'SG' })
                        .subscribe(function (data) { console.log("getCategories: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.getCategory('party')
                        .subscribe(function (data) { console.log("getCategory: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.getCategoryPlaylists('party')
                        .subscribe(function (data) { console.log("getCategoryPlaylists: ", data); }, function (err) { return console.error(err); });
                };
                AppComponent.prototype.followTests = function () {
                    this.spotifyService.following('artist', { limit: 10 })
                        .subscribe(function (data) { console.log("following: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.follow('user', '12170399784')
                        .subscribe(function (data) { console.log("follow: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.unfollow('user', 'jmperezperez')
                        .subscribe(function (data) { console.log("unfollow: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.userFollowingContains('user', '12168081530,jmperezperez')
                        .subscribe(function (data) { console.log("userFollowingContains: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.followPlaylist('12170399784', '2yZQOAhWHaHJk4bHGJJ1LL', false)
                        .subscribe(function (data) { console.log("followPlaylist: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.unfollowPlaylist('jmperezperez', '2v3iNvBX8Ay1Gt2uXtUKUT')
                        .subscribe(function (data) { console.log("unfollowPlaylist: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.playlistFollowingContains('12170399784', '2yZQOAhWHaHJk4bHGJJ1LL', '12176270157,jmperezperez,12168081530')
                        .subscribe(function (data) { console.log("playlistFollowingContains: ", data); }, function (err) { return console.error(err); });
                };
                AppComponent.prototype.libraryTests = function () {
                    this.spotifyService.getSavedUserTracks({ offset: 20, limit: 40 })
                        .subscribe(function (data) { console.log("getSavedUserTracks: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.userTracksContains('0udZHhCi7p1YzMlvI4fXoK,3SF5puV5eb6bgRSxBeMOk9,5h5tBFnbcVioFXiOixTn6E')
                        .subscribe(function (data) { console.log("userTracksContains: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.saveUserTracks(this.trackUri3 + "," + this.trackUri4)
                        .subscribe(function (data) { console.log("saveUserTracks: ", data); }, function (err) { console.error(err); });
                    this.spotifyService.removeUserTracks(this.userId, this.playlistId, this.trackUri + "," + this.trackUri2)
                        .subscribe(function (data) { console.log("removeUserTracks: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.getSavedUserAlbums()
                        .subscribe(function (data) { console.log("getSavedUserAlbums: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.saveUserAlbums('2Z8egw5FwFr6rs8U0NQUAb,6zs38EUdnNNM2Pg6IHrfoK')
                        .subscribe(function (data) { console.log("saveUserAlbums: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.removeUserAlbums('2Z8egw5FwFr6rs8U0NQUAb,6zs38EUdnNNM2Pg6IHrfoK')
                        .subscribe(function (data) { console.log("removeUserAlbums: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.userAlbumsContains('2Z8egw5FwFr6rs8U0NQUAb,6zs38EUdnNNM2Pg6IHrfoK')
                        .subscribe(function (data) { console.log("userAlbumsContains: ", data); }, function (err) { return console.error(err); });
                };
                AppComponent.prototype.playlistTests = function () {
                    this.spotifyService.getUserPlaylists(this.userId, { offset: 20, limit: 40 })
                        .subscribe(function (data) { console.log("getUserPlaylists: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.getPlaylist(this.userId, this.playlistId)
                        .subscribe(function (data) { console.log("getPlaylist: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.getPlaylistTracks(this.userId, this.playlistId, { offset: 20, limit: 40 })
                        .subscribe(function (data) { console.log("getPlaylistTracks: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.createPlaylist(this.userId, { name: "ne333", public: false })
                        .subscribe(function (data) { console.log("createPlaylist: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.addPlaylistTracks(this.userId, this.playlistId, [this.trackUri, this.trackUri2])
                        .subscribe(function (data) { console.log("addPlaylistTracks: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.removePlaylistTracks(this.userId, this.playlistId, this.trackUri + "," + this.trackUri2)
                        .subscribe(function (data) { console.log("removePlaylistTracks: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.reorderPlaylistTracks('1176458919', '2TkWjGCu8jurholsfdWtG4', {
                        range_start: 0,
                        range_length: 2,
                        insert_before: 4
                    }).subscribe(function (data) { console.log("reorderPlaylistTracks: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.replacePlaylistTracks('1176458919', '2TkWjGCu8jurholsfdWtG4', 'spotify:track:4Eiq0Hb4EgwNIvPct32YMQ,spotify:track:1301WleyT98MSxVHPZCA6M')
                        .subscribe(function (data) { console.log("replacePlaylistTracks: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.updatePlaylistDetails('1176458919', '2TkWjGCu8jurholsfdWtG4', { name: 'Updated Playlist Title' })
                        .subscribe(function (data) { console.log("updatePlaylistDetails: ", data); }, function (err) { return console.error(err); });
                };
                AppComponent.prototype.profilesTests = function () {
                    this.spotifyService.getUser('12170399784')
                        .subscribe(function (data) { console.log("getUser: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.getCurrentUser()
                        .subscribe(function (data) { console.log("getCurrentUser: ", data); }, function (err) { return console.error(err); });
                };
                AppComponent.prototype.searchTests = function () {
                    this.spotifyService.search('Nirvana', 'artist', { limit: 40, offset: 10 })
                        .subscribe(function (data) { console.log("search: ", data); }, function (err) { return console.error(err); });
                };
                AppComponent.prototype.trackTests = function () {
                    this.spotifyService.getTrack('0eGsygTp906u18L0Oimnem')
                        .subscribe(function (data) { console.log("getTrack: ", data); }, function (err) { return console.error(err); });
                    this.spotifyService.getTracks('0eGsygTp906u18L0Oimnem,1lDWb6b6ieDQ2xT7ewTC3G')
                        .subscribe(function (data) { console.log("getTracks: ", data); }, function (err) { return console.error(err); });
                };
                AppComponent = __decorate([
                    core_1.Component({
                        selector: 'my-app',
                        template: "\n    <h1>angular2-spotify</h1>\n    <button *ngIf=\"!user\" (click)=\"login()\">Login</button>\n    <p *ngIf=\"!!user\">You are logged in as: {{user.display_name}}</p>\n  ",
                        providers: [
                            angular2_spotify_1.SpotifyService,
                            core_1.provide("SpotifyConfig", {
                                useValue: {
                                    clientId: 'ABC123DEF456GHfddId789JKL',
                                    redirectUri: 'http://www.example.com/callback.html',
                                    scope: 'user-follow-modify user-follow-read playlist-read-private playlist-read-collaborative playlist-modify-public playlist-modify-private user-library-read user-library-modify user-read-private',
                                    // If you already have an authToken
                                    authToken: localStorage.getItem('angular2-spotify-token')
                                }
                            })
                        ]
                    }), 
                    __metadata('design:paramtypes', [(typeof (_a = typeof angular2_spotify_1.SpotifyService !== 'undefined' && angular2_spotify_1.SpotifyService) === 'function' && _a) || Object])
                ], AppComponent);
                return AppComponent;
                var _a;
            }());
            exports_1("AppComponent", AppComponent);
        }
    }
});
//# sourceMappingURL=app.component.js.map